### NAME

tell - Return current access position for an open channel

### SYNOPSIS

tell channelId

### DESCRIPTION

Returns an integer string giving the current access position in channelId. This value returned is a byte offset that can be passed to seek in order to set the channel to a particular position. Note that this value is in terms of bytes, not characters like read. The value returned is -1 for channels that do not support seeking.

### SEE ALSO

file, open, close, gets, seek

### KEYWORDS

access position, channel, seeking

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.